clang-tools 6.0.0

Public Member Functions | Public Attributes | List of all members
llvm::yaml::NOptionMap Struct Reference
Collaboration diagram for llvm::yaml::NOptionMap:
[legend]

## Public Member Functions
| NOptionMap (IO &)
| NOptionMap (IO &, const ClangTidyOptions::OptionMap &OptionMap)
ClangTidyOptions::OptionMap | denormalize (IO &)

## Public Attributes
std::vector< ClangTidyOptions::StringPair > | Options

## Detailed Description

Definition at line 69 of file ClangTidyOptions.cpp.

## Constructor & Destructor Documentation

## ◆ NOptionMap() [1/2]

llvm::yaml::NOptionMap::NOptionMap | ( | IO & |  | ) |
| inline

Definition at line 70 of file ClangTidyOptions.cpp.

## ◆ NOptionMap() [2/2]

llvm::yaml::NOptionMap::NOptionMap | ( | IO & | ,
|  | const ClangTidyOptions::OptionMap & | OptionMap
| ) |  |
| inline

Definition at line 71 of file ClangTidyOptions.cpp.

## Member Function Documentation

## ◆ denormalize()

ClangTidyOptions::OptionMap llvm::yaml::NOptionMap::denormalize | ( | IO & |  | ) |
| inline

Definition at line 73 of file ClangTidyOptions.cpp.

## Member Data Documentation

## ◆ Options

std::vector<ClangTidyOptions::StringPair> llvm::yaml::NOptionMap::Options

Definition at line 79 of file ClangTidyOptions.cpp.

The documentation for this struct was generated from the following file:

- ClangTidyOptions.cpp